Bug 459903 - After resume no reaction to pressing any key
After resume no reaction to pressing any key
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-24 04:20 EDT by Matěj Cepl
Modified: 2008-09-10 11:45 EDT (History)
0 users

See Also:
Fixed In Version: kernel-2.6.26.3-29.fc9.i686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 11:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/xorg.conf (774 bytes, text/plain)
2008-08-24 04:22 EDT, Matěj Cepl
no flags Details
/var/log/Xorg.0.log (120.26 KB, text/plain)
2008-08-24 04:22 EDT, Matěj Cepl
no flags Details
/var/log/messages (925.33 KB, text/plain)
2008-08-24 04:23 EDT, Matěj Cepl
no flags Details
/var/log/dmesg (30.54 KB, text/plain)
2008-08-24 04:24 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2008-08-24 04:20:23 EDT
Description of problem:
When resuming from suspend I get screensaver asking for a password but when pressing a key (I have focus in the screensaver) no characters are entered and pressing of any other key combination (Ctrl+Alt+Backspace, Alt+Ctrl+F1) doesn't make any effect.

Version-Release number of selected component (if applicable):
xorg-x11-drv-keyboard-1.3.0-3.fc9.i386
xorg-x11-drv-evdev-2.0.3-1.fc9.i386

How reproducible:
approx. 50%

Steps to Reproduce:
1.suspend/resume
2.try to enter password
3.
  
Actual results:
nothing

Expected results:
password should be entered, Xserver killed (after Ctrl+Alt+Backspace), switched to console, etc.

Additional info:
Life is beautiful!
Comment 1 Matěj Cepl 2008-08-24 04:22:06 EDT
Created attachment 314874 [details]
/etc/X11/xorg.conf
Comment 2 Matěj Cepl 2008-08-24 04:22:37 EDT
Created attachment 314875 [details]
/var/log/Xorg.0.log
Comment 3 Matěj Cepl 2008-08-24 04:23:36 EDT
Created attachment 314876 [details]
/var/log/messages
Comment 4 Matěj Cepl 2008-08-24 04:24:02 EDT
Created attachment 314877 [details]
/var/log/dmesg
Comment 5 Peter Hutterer 2008-08-26 01:51:58 EDT
Sounds like Comment 35 from Bug 456680.

https://bugzilla.redhat.com/show_bug.cgi?id=456680#c35
Comment 6 Matěj Cepl 2008-09-05 07:13:52 EDT
bug 456680 comment 35 should hopefully work better
Comment 7 Matěj Cepl 2008-09-05 07:15:05 EDT
yes, I have now later kernel (2.6.26.3-29.fc9.i686), so if nothing happens in couple of days, I will close this and blame kernel.
Comment 8 Matěj Cepl 2008-09-10 11:45:01 EDT
Yeah, let's blame kernel.

Note You need to log in before you can comment on or make changes to this bug.